Summary: The pam configuration package for convenience
Name: pamconfig-cobalt
Version: 1.0
Release: 5
Copyright: GPL or BSD
Group: Base
Source: pamconfig-cobalt-1.0.tar.gz
Buildroot: /var/tmp/pamconfig-cobalt
Requires: pam >= 0.66
BuildArchitectures: noarch
Packager: Sridhar Gopal <gsri@cobaltnet.com>

%description
This package has nothing to do with pamconfig-??.rpm shipped by RedHat.
All files that comprise this package are mostly from other rpms.
This package is for convenience purposes.

%changelog
* Thu Feb 25 1999 Sridhar Gopal <gsri@cobaltnet.com>
- raq2 does not have smb enabled by default; disable pam_smbpass

* Thu Feb 18 1999 Sridhar Gopal <gsri@cobaltnet.com>
- added samba
- added pam_smbpass module to update /etc/smbpasswd file
- added md5 to password entries
- cleanup all files of unnecessary lines

* Thu Feb 18 1999 Sridhar Gopal <gsri@cobaltnet.com>
- added netatalk

* Tue Jan 12 1999 Sridhar Gopal <gsri@cobaltnet.com>
- added ahttpd

* Mon Jan 4 1999 Sridhar Gopal <gsri@cobaltnet.com>
- first package

%prep
%setup

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
for i in ahttpd chsh chfn ftp httpd imap login netatalk other passwd ppp qpop rexec rlogin rsh samba su
do
cp $i.pamd $RPM_BUILD_ROOT/etc/pam.d/$i
done
exit 0

%files
%verify(not size md5 mtime)
%config /etc/pam.d/imap
%config /etc/pam.d/login
%config /etc/pam.d/ppp
%config /etc/pam.d/rexec
%config /etc/pam.d/rlogin
%config /etc/pam.d/rsh
%config /etc/pam.d/su
%config /etc/pam.d/qpop
%config /etc/pam.d/chfn
%config /etc/pam.d/passwd
%config /etc/pam.d/ftp
%config /etc/pam.d/other
%config /etc/pam.d/chsh
%config /etc/pam.d/httpd
%config /etc/pam.d/ahttpd
%config /etc/pam.d/netatalk
%config /etc/pam.d/samba
